Bug 95935 - CRASH on startup in o3tl vcl code
Summary: CRASH on startup in o3tl vcl code
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: x86-64 (AMD64) Mac OS X (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-19 15:07 UTC by Alex Thurgood
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt from crash on startup (25.21 KB, text/plain)
2015-11-19 15:07 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2015-11-19 15:07:40 UTC
Created attachment 120665 [details]
bt from crash on startup

My master build on OSX 10.11.1 completed at 23h yesterday (18/11/2015)

I install the LibreOfficeDev.app bundle from the DMG created at build time, and it starts fine on the build machine.

However, if I then copy that DMG to another Mac machine (MBPro, OSX 10.11.1), and install the LibreOfficeDev.app to Applications, startup of the application fails without warning.

Enclosing backtrace from lldb
Comment 1 Alex Thurgood 2015-11-19 15:09:11 UTC
@Noel : per our irc-dev exchange, I managed to get a bt
Comment 2 Commit Notification 2015-11-20 09:25:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c5060a6f9c8e94965178dc44bae6ce744d1eb7c

attempt to fix tdf#95935 - CRASH on startup in o3tl vcl code

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Alex Thurgood 2015-11-23 07:54:55 UTC
(In reply to Commit Notification from comment #2)
> Noel Grandin committed a patch related to this issue.


> 
> Affected users are encouraged to test the fix and report feedback.


Fix works - thanks !!